RSYSINFO(1)

NAME
rsysinfo - remote system information display

SYNOPSIS
rsysinfo [ host | -v ]

DESCRIPTION
rsysinfo displays a summary of the kernel statistics of a particular host.
The output shows how long the system has been up, load averages, cpu usage in jiffies, pages from and to the disk, the number of interupts recieved, and the number of context switches.
The load average numbers give the number of jobs in the run queue averaged over 1, 5 and 15 minutes, all other fields are appropriatly labelled.
The rpc.rstatd(8) daemon must be running on the remote host for this command to work.
rsysinfo uses an RPC protocol defined in /usr/include/rpcsvc/rstat.x

COMMAND LINE OPTIONS

-v  prints the current version of rsysinfo and exits

DIAGNOSTICS

rsysinfo: RPC: Program not registered
    The rpc.rstatd(8) daemon has not been started on the remote host.

rsysinfo: RPC: Timed out
    A communication error occurred. Either the network is excessively congested, or the rpc.rstatd(8) daemon has terminated on the remote host.

rsysinfo: RPC: Port mapper failure - RPC: Timed out
    The remote host is not running the portmapper (see rpc.rstatd(8)) and cannot accomodate any RPC-based services. The host may be down.

SEE ALSO
portmap(8), rpc.rstatd(8), inetd(8)

HISTORY
The rsysinfo command written for Linux.

AUTHOR
Adam Migus (amigus@cs.mun.ca)